Re: External Deps for GNOME 2.24 - shared-mime-info from 0.22 to 0.40

On Mon, Jun 30, 2008 at 3:24 AM, Frederic Crozat <fcrozat mandriva com> wrote:
> Le vendredi 27 juin 2008 à 10:52 +0200, Luca Ferretti a écrit :
>> shared-mime-info 0.40 finally implements the "icon" and "generic-icon"
>> support.
>> This is needed in glib/gio in order to have a fallback icon for
>> mimetypes (example: you have a 7zip file, your icon theme don't provide
>> an icon for this MIME, your application will use the "package-x-generic"
>> icon). This is a must have for Nautilus, file chooser widgets and any
>> other MIME<->icon related stuff.
>> OK to update?
> Be careful with shared-mime-info 0.40 : it is not backward compatible
> with previous version of the specifications. It requires glib 2.17.2
> minimum. It is not a problem for GNOME 2.23.x but better to say it :)

Care to explain what you mean here ? I'm not aware of any such incompatibility.

[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]